2

I used package-install to install the pamparam package. It worked. But in playing with it, I got it into a weird state and decided to uninstall and re-install. I uninstalled by deleting its dir in .emacs.d/elpa.

Now when I try to re-install, I get the following compile log:

In pamparam-update-card:
pamparam.el:513:51:Warning: attempt to inline `pamparam-spit' before it was defined
pamparam.el:513:51:Warning: attempt to inline `pamparam-spit' before it was defined
pamparam.el:566:1:Error: Symbol's function definition is void: cl--do-arglist

Any idea what might be going on?

  • I'm not sure what's going on, but have you tried restarting Emacs? – zck Jan 16 '18 at 22:27
  • Yes, I've restarted emacs several times as I worked on this. – vortek Jan 16 '18 at 22:45
  • Sounds like you need to load cl-lib.el. But the package autoloads should have taken care of that and probably the warnings as well. If no one provides a satisfactory answer here you might want to consider contacting the package maintainer. – Drew Jan 16 '18 at 23:42
  • Did you update Emacs between the initial install and the failed attempts? – YoungFrog Jan 19 '18 at 8:47
  • @YoungFrog No, haven't updated Emacs. – vortek Jan 20 '18 at 16:13

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.